Bug 505014 - Review Request: perl-Alien-SeleniumRC - Packages the Selenium Remote Control server
Review Request: perl-Alien-SeleniumRC - Packages the Selenium Remote Control ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 07:38 EDT by Emmanuel Seyman
Modified: 2009-06-19 09:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.00-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 09:36:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-10 07:38:26 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Alien-SeleniumRC/perl-Alien-SeleniumRC.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Alien-SeleniumRC/perl-Alien-SeleniumRC-1.00-1.fc11.src.rpm
Description:
Selenium Remote Control is a test tool that allows you to write automated
web application UI tests in any programming language against any HTTP
website using any mainstream JavaScript-enabled browser. It provides a
Selenium Server, which can automatically start/stop/control any supported
browser. It works by using Selenium Core, a pure-HTML+JS library that
performs automated tasks in JavaScript.
Comment 1 Marcela Mašláňová 2009-06-10 08:37:03 EDT
OK rpmlint on every package.
OK name of package accords to the Naming Guidelines.
OK spec file name match the base package %{name}.
OK package meet the Packaging Guidelines.
OK package has a good license.
OK spec file is written in American English.
OK spec file for the package must be legible.
FAIL The sources used to build the package must match the upstream source.
  srpm 8dfe7a67b2246e6ceb85a912fd642687 != 92a34ab58b49a6b70053a35d7bb57469 src
OK successful koji compilation.
OK correct BuildRequires, Requires.
OK proper use of %find_lang macro.
OK shared library must call ldconfig in %post and %postun.
OK relocatable package must state this fact.
OK package must own their directories.
OK permissions on files must be set properly.
OK %clean section with rm -rf %{buildroot}.
OK consistent use of macros.
OK package contains code, or permissable content.
OK large documentation go in a -doc subpackage.
OK %doc must not affect the runtime of the application.
OK header files must be in a -devel package.
OK static libraries must be in a -static package.
OK pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK library files with a suffix (.so) must go in -devel.
OK usually devel packages must require the base package.
OK Remove .la libtool archives.
OK GUI applications must include a %{name}.desktop file.
OK %install section starts with rm -rf %{buildroot}.
Comment 2 Emmanuel Seyman 2009-06-10 09:10:26 EDT
(In reply to comment #1)
>
> FAIL The sources used to build the package must match the upstream source.
>   srpm 8dfe7a67b2246e6ceb85a912fd642687 != 92a34ab58b49a6b70053a35d7bb57469 src

Downloading the upstream sources once again, I still get a md5sum of 8dfe7a67b2246e6ceb85a912fd642687. I've tried two different CPAN mirrors and can't see what I'm doing wrong.

Marcela, do you remember which you downloaded the tarball from ?
Comment 3 Marcela Mašláňová 2009-06-10 09:21:28 EDT
Hm, I tried again and it's matching. Never mind, it looks all right now.
ACCEPT
Comment 4 Emmanuel Seyman 2009-06-10 09:25:12 EDT
:-)

Thanks for the review! Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Alien-SeleniumRC
Short Description: Packages the Selenium Remote Control server
Owners: eseyman
Branches: F-10 F-11
InitialCC: perl-sig
Comment 5 Jason Tibbitts 2009-06-10 16:57:58 EDT
CVS done.
Comment 6 Fedora Update System 2009-06-11 02:50:43 EDT
perl-Alien-SeleniumRC-1.00-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Alien-SeleniumRC-1.00-1.fc11
Comment 7 Fedora Update System 2009-06-15 21:31:30 EDT
perl-Alien-SeleniumRC-1.00-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Alien-SeleniumRC'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6045
Comment 8 Fedora Update System 2009-06-19 09:36:40 EDT
perl-Alien-SeleniumRC-1.00-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.